#include "commandimp.h"

void MLS::CommandImp::ViewScreen( )
{
	def_prog_mode();
	endwin();
	
	cbreak();
	noecho();
		
	getch();
	refresh();
}

///	@brief	명령어를 실행한다.
///	@param	cmd		명령어및 인자
///	@param	bPause	명령어를 실행시키고 종료시 잠시 정지시킬지 여부 
///	@return	명령어 실행 결과
int MLS::CommandImp::Run( const std::string &cmd, bool bPause)
{
	def_prog_mode();
	endwin();
	
	int r = system(cmd.c_str());
	
	if (bPause)
	{
		cbreak();
		noecho();
		
		printf("\nPress any key to return Mls...");
		getch();
	}
	refresh();	
	
	Refresh();
	
	return r;	
}

