/// @file	mlslocale.h
/// @brief	locale 설정 관련 소스
/// @author 
/// @date 2004-08-21

#ifndef LOCALE_H__
#define LOCALE_H__

#include <ncurses.h>

namespace MLS
{
	extern chtype HLINE;
	extern chtype VLINE;
	extern chtype ULCORNER;
	extern chtype LLCORNER;
	extern chtype URCORNER;
	extern chtype LRCORNER;
	extern chtype LTEE;
	extern chtype RTEE;
	extern chtype BTEE;
	extern chtype TTEE;
	
	/// @brief	locale language enum
	enum ENCODING {
		KO,			///< korean Language
		US			///< USA Language
	};

	void set_locale(ENCODING e);
};



#endif//LOCALE_H__
